# spice-3f5-rhcn.spec

Summary: Berkeley SPICE 3 Circuit Simulator
Name: spice-rhcn
Version: 3f5
Release: 1
Copyright: BSD
Group: Applications/Engineering
Source0: sunsite.unc.edu:/pub/Linux/apps/circuits/spice3f4.tar.gz
Source1: sunsite.unc.edu:/pub/Linux/apps/circuits/spice3f4-patches-1.2.tar.gz
Packager:     Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Distribution: Red Hat Contrib|Net
Buildroot: /tmp/spice
Obsoletes: spice

%description
SPICE 3 is a general-purpose circuit simulation program for nonlinear
dc, nonlinear transient, and linear ac analyses.  Circuits may contain
resistors, capacitors, inductors, mutual inductors, independent
voltage and current sources, four types of dependent sources,
transmission lines, and the four most common semiconductor devices:
diodes, BJT's, JFET's, and MOSFET's.

This is Spice 3f4 patched to 3f5, and includes the new port patches for
Linux, including GNU Lib C support, GNU Readline command-line editing 
and history file support, and native Spice support for X11R6 and MFB. 



%prep
%setup -n spice3f4 -a 1
patch -p1 -E < spice3f4-patches-1.2/spice3f4.defaults.patch
patch -p1 < spice3f4-patches-1.2/spice3f4.3f5.patch
patch -p1 < spice3f4-patches-1.2/spice3f4.fixes.patch
patch -p1 < spice3f4-patches-1.2/spice3f4.newlnx.patch
patch -p1 < spice3f4-patches-1.2/spice3f4.xlibs.patch
patch -p1 < spice3f4-patches-1.2/spice3f4.glibc.patch 
patch -p1 < spice3f4-patches-1.2/spice3f4.dirs.patch
patch -p1 < spice3f4-patches-1.2/spice3f4.rdln.patch
patch -p1 < spice3f4-patches-1.2/spice3f4.fixes2.patch
patch -p1 < spice3f4-patches-1.2/spice3f4.smith.patch
rm `find . -name "*.orig" -print`

%build
./util/build linux

src/bin/makeidx lib/helpdir/spice.txt

# install has to be done by hand, because we are not assured
# that the builder has root privileges - things would be easier
# if spice had autoconf!

%install
install -d  $RPM_BUILD_ROOT/usr/bin
install -d  $RPM_BUILD_ROOT/usr/lib/spice/lib/scripts
install -d  $RPM_BUILD_ROOT/usr/lib/spice/lib/helpdir

install -d  $RPM_BUILD_ROOT/usr/lib/spice/examples

install -d  $RPM_BUILD_ROOT/usr/man/man1
install -d  $RPM_BUILD_ROOT/usr/man/man3
install -d  $RPM_BUILD_ROOT/usr/man/man5

install -s src/bin/spice3 $RPM_BUILD_ROOT/usr/bin
install -s src/bin/help $RPM_BUILD_ROOT/usr/bin
install -s src/bin/nutmeg $RPM_BUILD_ROOT/usr/bin
install -s src/bin/sconvert $RPM_BUILD_ROOT/usr/bin
install -s src/bin/multidec $RPM_BUILD_ROOT/usr/bin
install -s src/bin/proc2mod $RPM_BUILD_ROOT/usr/bin

rm lib/make*
cp -r lib/ $RPM_BUILD_ROOT/usr/lib/spice
cp -r examples/ $RPM_BUILD_ROOT/usr/lib/spice

install -m 644 man/man1/spice.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 644 man/man1/nutmeg.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 644 man/man1/sconvert.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 644 man/man3/mfb.3 $RPM_BUILD_ROOT/usr/man/man3
install -m 644 man/man5/mfbcap.5 $RPM_BUILD_ROOT/usr/man/man5

%clean
rm -Rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc readme readme.Linux notes/spice2
%doc spice3f4-patches-1.2/README.patches
%dir /usr/lib/spice

/usr/lib/spice/lib
/usr/bin/spice3
/usr/bin/help
/usr/bin/nutmeg
/usr/bin/sconvert
/usr/bin/multidec
/usr/bin/proc2mod
/usr/man/man1/spice.1
/usr/man/man1/nutmeg.1
/usr/man/man1/sconvert.1
/usr/man/man3/mfb.3
/usr/man/man5/mfbcap.5
/usr/lib/spice/examples


%changelog
* Thu Feb  4 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- changed version number to 3f5
- added 'Obsoletes: spice' tag
- completed ftp search-path for patches

* Sat Jan 23 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- spec file mostly based on A. Veliath's spec file
- initialization of spec file.

# end of file
